package com.srs.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 去除实体字段前后空格的校验，配合BeanTrimmer使用
 * 使用示例 给实体中需要去除前后空格的字段加上该注解，
 * public class Entity {
 *     @Trim
 *     private String name;
 *     @Trim
 *     private String description;
 *
 *     // 省略getter和setter方法
 *
 *
Entity entity = new Entity();
entity.setName("  Hello  ");
entity.setDescription("  World!  ");

BeanTrimmer.trimFields(entity);
 * }
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Trim {
}